@echo off
if "%1"=="EN" goto good
if "%1"=="en" goto good
if "%1"=="FD" goto good
if "%1"=="fd" goto good
if "%1"=="SY" goto good
if "%1"=="sy" goto good
if "%1"=="TR" goto good
if "%1"=="tr" goto good
goto usr_err
:good

:loop
call snview.bat %1
if not exist sn.cfg goto doit
c:\tools\input "Would you like to change it"
echo.
if not errorlevel 1 goto exit

:deldo
del sn.cfg

:doit
sn.exe
echo.
goto loop

:usr_err
echo.
echo Error Invalid Paramater: Expected either EN, TR, FD or SY.
echo.
echo   This batch file expects one of the folllowing [EN,TR,FD,SY] as a 
echo   paramater to determine the location of the configuration file.  
echo.
pause

:exit 
